// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '信息管理', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    // 用戶信息
    userInfo: {},
    form: {},
  },
  initValidate() {
    const rules = { name: { required: true, }, phone: { required: true }, email: { required: true }, address: { required: true, } }
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { name: { required: '请输入姓名', }, phone: { required: '请输入联系电话', }, email: { required: '请输入电子邮箱', }, address: { required: '请输入联系地址', } };
    this.WxValidate = new WxValidate(rules, messages)
  },
  back: function () {
    wx.navigateBack({ url: '/pages/county_merchant/index' })
  },
  // 添加位置信息
  toSeat: function () {
    wx.navigateTo({ url: `/pages/county_merchant/seat` })
  },
  // 取消保存
  onReset: function (e) {
    this.back()
  },
  // 提交保存
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      params.county_id = this.data.userInfo.id;
      params.county_name = this.data.userInfo.name;
      console.log(params);
      wx.showToast({ title: `创建信息成功`, icon: 'success', duration: 2000 })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    // 计算高度
    this.searchHeight();
    let userInfo = app.globalData.userInfo;
    if (userInfo) this.setData({ userInfo: userInfo });
  },

  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})