// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '群组信息', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    form: {},
    statusList: [
        { id: '0', status: '待审中' },
        { id: '1', status: '审核通过' },
        { id: '-1', status: '审核拒绝' },
      ]
  },
  initValidate() {
    const rules = { name: { required: true, }, create_time: { required: true, }, brief: { required: true, }, status: { required: true, }}
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { name: { required: '请输入名称', }, phone: { required: '请输入创建时间', }, brief: { required: '请输入简介', }, status: { required: '请输入状态', }};
    this.WxValidate = new WxValidate(rules, messages)
  },
  back: function () {
    wx.navigateBack({ url: '/pages/group/index' })
  },
  // 选择检查时间
   dateChange: function (e) {
    let { value } = e.detail;
    this.setData({ 'form.create_time': value })
  },
   // 选择状态
   statusChange: function (e) {
    let { value } = e.detail;
    let data = this.data.statusList[value];
    this.setData({ 'form.status_id': data.id })
    this.setData({ 'form.status_name': data.status })
  },
  // 取消保存
  onReset: function (e) {
    this.back()
  },
  // 提交保存
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      console.log(params);
      wx.showToast({ title: `创建信息成功`, icon: 'success', duration: 2000 })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    const { id } = options;
    // 查询信息
    if (id) this.search(id);
    // 计算高度
    this.searchHeight()
  },
  // 查询信息
  search: function (id) {
    console.log(id);
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})