// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '登录', leftArrow: false, useBar: false },
    // 主体高度
    infoHeight: '',
    // 用户类别
    roleList: [
      { role: '1', name: '管理人员' },
      { role: '2', name: '区县人员' },
      { role: '3', name: '办案人员' },
    ]
  },
  initValidate() {
    const rules = { phone: { required: true, tel: true }, password: { required: true, }, role: { required: true, }, }
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { phone: { required: '请输入账号', }, password: { required: '请输入密码', }, role: { required: '请输入用户类别', }, };
    this.WxValidate = new WxValidate(rules, messages)
  },
  // 选择用户类别
  roleChange: function (e) {
    let { value } = e.detail;
    let data = this.data.roleList[value];
    this.setData({ 'form.role': data.role })
    this.setData({ 'form.name': data.name })

  },
  // 提交登录
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      params.name = '办案人员';
      app.globalData.userInfo = params;
      wx.setStorage({ key: "token", data: 'token' })
      wx.setStorage({ key: "role", data: params.role })
      wx.showToast({ title: `账号登录成功`, icon: 'success', duration: 2000 })
      wx.navigateTo({ url: '/pages/home/index' })
    }
  },
  // 微信登录
  wxLogin: function () {
    wx.showToast({ title: `暂未开放`, icon: 'error', duration: 2000 })
    // wx.navigateTo({ url: '/pages/home/index' })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})