// pages/login/login.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '商户人员', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    // 区县人员
    list: [
      { id: '1', name: '测试商户1', phone: '13174420325', address: '吉林省长春市', status: '0' },
      { id: '2', name: '测试商户2', phone: '13174420325', address: '吉林省长春市', status: '0' },
    ],
    // 弹框
    dialog: { title: '详细信息', show: false, type: '1' },
    // 详细信息
    info: { id: '2', name: '测试商户2', phone: '13174420325', address: '吉林省长春市', status: '0' },
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 添加人员
  toAdd: function () {
    wx.navigateTo({ url: `/pages/merchant/detail` })
  },
  // 详细信息
  toView: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    // this.setData({ info: {} })
    this.setData({ dialog: { title: '详细信息', show: true, type: '1' } })
  },
  // 信息变更
  toEdit: function (e) {
    const { id } = e.currentTarget.dataset;
    wx.navigateTo({ url: `/pages/merchant/detail?id=${id}` })
  },
  // 县区登记审批
  toCheck: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    wx.showModal({
      title: '登记审批',
      content: '是否同意登记的商户进驻系统？',
      cancelText: '不同意',
      confirmText: '同意',
      success: (res) => {
        if (res.confirm) {
          wx.showToast({ title: `县区登记审批`, icon: 'success', duration: 2000 })
        }
        else if (res.cancel) {
          wx.showToast({ title: `县区登记审批`, icon: 'success', duration: 2000 })
        }
      }
    })

  },
  // 位置信息登记
  toSeat: function (e) {
    const { id } = e.currentTarget.dataset;
    wx.navigateTo({ url: `/pages/merchant/seat?id=${id}` })
  },
  // 检查信息登记
  toInspect: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    wx.navigateTo({ url: `/pages/merchant/inspect?id=${id}` })
  },
  // 账号注销
  toCancel: function (e) {
    const { id } = e.currentTarget.dataset;
    console.log(id);
    wx.showToast({ title: `商户注销成功`, icon: 'success', duration: 2000 })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})