// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '检查信息登记', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
    form: {},
    // 违规等级
    gradeList: [
      { name: '一级' },
      { name: '二级' },
      { name: '三级' },
    ],
    // 办案人员
    userList: [
      { id: '1', name: '办案人员1' },
      { id: '2', name: '办案人员2' },
    ]
  },
  initValidate() {
    const rules = { grade: { required: true, }, user_name: { required: true, }, inspect_date: { required: true, }, content: { required: true, } }
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { grade: { required: '请选择违规等级', }, user_name: { required: '请选择办案人员', }, inspect_date: { required: '请选择检查时间', }, content: { required: '请输入检查内容', } };
    this.WxValidate = new WxValidate(rules, messages)
  },
  back: function () {
    wx.navigateBack({ url: '/pages/merchant/index' })
  },
  // 选择违规等级
  gradeChange: function (e) {
    let { value } = e.detail;
    let data = this.data.gradeList[value];
    this.setData({ 'form.grade': data.name })
  },
  // 选择办案人员
  userChange: function (e) {
    let { value } = e.detail;
    let data = this.data.userList[value];
    this.setData({ 'form.user_id': data.id })
    this.setData({ 'form.user_name': data.name })
  },
  // 选择检查时间
  inspectdateChange: function (e) {
    let { value } = e.detail;
    this.setData({ 'form.inspect_date': value })
  },
  // 取消保存
  onReset: function (e) {
    this.back()
  },
  // 提交保存
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      console.log(params);
      wx.showToast({ title: `创建信息成功`, icon: 'success', duration: 2000 })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    const { id } = options;
    // 查询信息
    if (id) this.search(id);
    // 计算高度
    this.searchHeight()
  },
  // 查询信息
  search: function (id) {
    let data = { merchant_id: id, merchant_name: '测试商户', }
    this.setData({ form: data })
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})