// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    frameStyle: { useTop: true, name: '修改密码', leftArrow: true, useBar: false },
    // 主体高度
    infoHeight: '',
  },
  initValidate() {
    const rules = { oldPassword: { required: true, }, newPassword: { required: true, }, }
    // 验证字段的提示信息，若不传则调用默认的信息
    const messages = { oldPassword: { required: '请输入旧密码', }, newPassword: { required: '请输入新密码', } };
    this.WxValidate = new WxValidate(rules, messages)
  },
  back: function () {
    wx.navigateBack({ url: '/pages/home/index' })
  },
  // 取消修改
  onReset: function () {
    this.back()
  },
  // 提交修改
  onSubmit: function (e) {
    const params = e.detail.value;
    if (!this.WxValidate.checkForm(params)) {
      const error = this.WxValidate.errorList[0];
      wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
      return false
    } else {
      wx.showToast({ title: `修改密码成功`, icon: 'success', duration: 2000 });
      wx.clearStorage({
        key: 'toekn',
        success: res => { wx.redirectTo({ url: '/pages/login/index', }) }
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    //验证规则函数
    this.initValidate()
    // 计算高度
    this.searchHeight()
  },
  // 计算高度
  searchHeight: function () {
    let frameStyle = this.data.frameStyle;
    let client = app.globalData.client;
    // 减去状态栏
    let infoHeight = client.windowHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
    // 是否减去底部菜单
    if (frameStyle.useBar) infoHeight = infoHeight - 50;
    if (infoHeight) this.setData({ infoHeight: infoHeight })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})